py27-setuptools27-2.0.1 conflicts with py27-setuptools-2.0.1 (installs files into the same place)

If you’re getting :

py27-setuptools27-2.0.1 conflicts with py27-setuptools-2.0.1 (installs files into the same place).

when you are trying to upgrade ports on a FreeBSD installation, this happens because the dependencies were changed.

A quick easy fix is:

pkg set -o devel/py-setuptools:devel/py-setuptools27
cd /usr/ports/devel/py-setuptools27
make deinstall
make reinstall

Enjoy

One thought on “py27-setuptools27-2.0.1 conflicts with py27-setuptools-2.0.1 (installs files into the same place)”

Leave a Reply